For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all quote versions
      • POSTCreate a quote version
      • GETGet a quote version by resource ID
      • DELDelete a quote version
      • PATCHUpdate a quote version
      • GETGet the quote version as PDF
      • POSTFinalize the quote version
      • POSTSend the quote version
      • POSTAccept the quote version
      • POSTReject the quote version
      • POSTRequest signature for the quote version
      • POSTCreate the subscription based on a approved quote version
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIQuote Versions

Create a quote version

POST
/v:version/quote-versions
POST
/v:version/quote-versions
$curl -X POST https://test.api.solvimon.com/v1/quote-versions \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "quote_id": "quot_BwDeM60tIxm6qIAleA1P",
> "version": 1,
> "status": "DRAFT"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "created_at": "string",
5 "updated_at": "string",
6 "expires_at": "2024-01-15T09:30:00Z",
7 "quote_id": "string",
8 "version": 1,
9 "pricing_plan_subscription_info": {
10 "id": "string",
11 "upgraded_from_pricing_plan_subscription_id": "string"
12 },
13 "status": "DRAFT",
14 "actions": [
15 {
16 "created_at": "string",
17 "type": "string",
18 "status": "string",
19 "send": {
20 "to_email_addresses": [
21 "string"
22 ],
23 "overwrite_to": true,
24 "cc_email_addresses": [
25 "string"
26 ],
27 "bcc_email_addresses": [
28 "string"
29 ]
30 },
31 "accept": {
32 "name": {
33 "first_name": "string",
34 "last_name": "string",
35 "infix": "string"
36 },
37 "role": "string"
38 },
39 "reject": {
40 "name": {
41 "first_name": "string",
42 "last_name": "string",
43 "infix": "string"
44 },
45 "role": "string",
46 "reason": "string"
47 },
48 "create_subscription": {
49 "pricing_plan_subscription_id": "string"
50 },
51 "request_signature": {
52 "signature_request_id": "string",
53 "signature_request": {
54 "object_type": "string",
55 "id": "string",
56 "created_at": "string",
57 "updated_at": "string",
58 "status": "IN_PROGRESS",
59 "type": "QUOTE_VERSION",
60 "quote_version": {
61 "quote_version_id": "string"
62 },
63 "recipients": [
64 {
65 "id": "string",
66 "contact_id": "string",
67 "name": {
68 "first_name": "string",
69 "last_name": "string",
70 "infix": "string"
71 },
72 "email": "string",
73 "role": "SIGNER",
74 "status": "PENDING"
75 }
76 ]
77 }
78 },
79 "sign": {
80 "signature_request_id": "string"
81 }
82 }
83 ],
84 "link": {
85 "expiry_period": {
86 "type": "DAY",
87 "value": 1
88 },
89 "portal_url_id": "string",
90 "url": "string"
91 },
92 "internal_notes": [
93 "string"
94 ],
95 "notes": [
96 "string"
97 ],
98 "approval_request_id": "string",
99 "recipients": [
100 {
101 "type": "CONTACT",
102 "contact": {
103 "contact_id": "string",
104 "contact": {
105 "object_type": "string",
106 "id": "string",
107 "reference": "string",
108 "customer_id": "string",
109 "name": {
110 "first_name": "string",
111 "last_name": "string",
112 "infix": "string"
113 },
114 "email": "string",
115 "notification_preferences": [
116 {
117 "type": "INVOICE",
118 "channels": [
119 {
120 "type": "EMAIL",
121 "enabled": true
122 }
123 ]
124 }
125 ],
126 "custom_fields": [
127 {
128 "id": "string",
129 "reference": "string",
130 "value": "string",
131 "values": [
132 "string"
133 ],
134 "integration_details": {
135 "id": "string",
136 "reference": "string",
137 "payment_gateway_variant": "ADYEN",
138 "adyen": {
139 "recurring_detail_reference": "string"
140 },
141 "stripe": {
142 "payment_method_id": "string"
143 }
144 }
145 }
146 ],
147 "linked_integrations": [
148 {
149 "id": "string",
150 "link_details": [
151 {
152 "url": "string",
153 "custom_field_name": "string"
154 }
155 ]
156 }
157 ]
158 }
159 },
160 "details": {
161 "name": {
162 "first_name": "string",
163 "last_name": "string",
164 "infix": "string"
165 },
166 "email": "string"
167 },
168 "role": "SIGNER"
169 }
170 ]
171}
Requires the QUOTE.CREATE permission.
Was this page helpful?
Previous

Get a quote version by resource ID

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
quote_idstringRequired
The ID of the quote.
expires_atdatetime or nullOptional
The expiration date of the quote version.
versionintegerOptional
The value describing the version of the quote.
pricing_plan_subscription_infoobject or nullOptional
The info of the linked pricing plan subscription.
statusenum or nullOptional
linkobject or nullOptional
The public portal link of the quote.
internal_noteslist of strings or nullOptional
Internal notes on this quote versions.
noteslist of strings or nullOptional
Notes on this quote versions.
recipientslist of objects or nullOptional
The recipients for signature on this quote version.

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
updated_atstring or nullRead-only
expires_atdatetime or null
The expiration date of the quote version.
quote_idstring
The ID of the quote.
versioninteger
The value describing the version of the quote.
pricing_plan_subscription_infoobject or null
The info of the linked pricing plan subscription.
statusenum or null
actionslist of objects or nullRead-only
The history of all actions done.
linkobject or null
The public portal link of the quote.
internal_noteslist of strings or null
Internal notes on this quote versions.
noteslist of strings or null
Notes on this quote versions.
approval_request_idstring or nullRead-only
The ID of the Approval Request that was created for this Quote Version.
recipientslist of objects or null
The recipients for signature on this quote version.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error